# octavia.common.jinja.lvs package

## Submodules

## octavia.common.jinja.lvs.jinja_cfg module

class LvsJinjaTemplater(base_amp_path=None, keepalivedlvs_template=None)

  Bases: `object`

  build_config(listener: Listener, **kwargs)

    Convert a logical configuration to the Keepalived LVS version

    Parameters:

      listener – The listener configuration

    Returns:

      Rendered configuration

  render_loadbalancer_obj(listener, **kwargs)

    Renders a templated configuration from a load balancer object

    Parameters:

      - host_amphora – The Amphora this configuration is hosted on

      - listener – The listener configuration

    Returns:

      Rendered configuration

## Module contents

this page last updated: 2026-03-10 18:02:42

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug